PETSc version 3.17.4
Fix/Edit manual page

# DMTSSetRHSFunction

set TS explicit residual evaluation function

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetRHSFunction(DM dm,TSRHSFunction func,void *ctx)

Not Collective

### Input Parameters

| dm | - DM to be used with TS
| func | - RHS function evaluation routine
| ctx | - context for residual evaluation

### Calling sequence of func

        PetscErrorCode func(TS ts,PetscReal t,Vec u,Vec F,void *ctx);

| ts | - timestep context
| t | - current timestep
| u | - input vector
| F | - function vector
| ctx | - [optional] user-defined function context

### Note

TSSetRSHFunction() is normally used, but it calls this function internally because the user context is actually associated with the DM. This makes the interface consistent regardless of whether the user interacts with a DM or not. If DM took a more central role at some later date, this could become the primary method of setting the residual.

### See Also

DMTSSetContext(), TSSetRHSFunction(), DMTSSetJacobian()

### Level

advanced

### Location

src/ts/utils/dmts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages